=== debian/control ===
Source: ros-lunar-navfn
Section: misc
Priority: extra
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libnetpbm10-dev, libpcl-dev, ros-lunar-catkin (>= 0.5.68), ros-lunar-cmake-modules, ros-lunar-costmap-2d, ros-lunar-geometry-msgs, ros-lunar-message-generation, ros-lunar-nav-core, ros-lunar-nav-msgs, ros-lunar-pcl-conversions, ros-lunar-pcl-ros, ros-lunar-pluginlib, ros-lunar-rosconsole, ros-lunar-roscpp, ros-lunar-rosunit, ros-lunar-tf, ros-lunar-visualization-msgs
Homepage: http://wiki.ros.org/navfn
Standards-Version: 3.9.2

Package: ros-lunar-navfn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-dev, ros-lunar-costmap-2d, ros-lunar-geometry-msgs, ros-lunar-message-runtime, ros-lunar-nav-core, ros-lunar-nav-msgs, ros-lunar-pcl-conversions, ros-lunar-pcl-ros, ros-lunar-pluginlib, ros-lunar-rosconsole, ros-lunar-roscpp, ros-lunar-tf, ros-lunar-visualization-msgs
Description: navfn provides a fast interpolated navigation function that can be used to create plans for a mobile base.
 The planner assumes a circular robot and operates on a costmap to find a minimum cost plan from a start point to an end point in a grid. The navigation function is computed with Dijkstra's algorithm, but support for an A* heuristic may also be added in the near future. navfn also provides a ROS wrapper for the navfn planner that adheres to the nav_core::BaseGlobalPlanner interface specified in nav_core.
